---
description: How to create new types from the library and your editor
---

# Create a New Type

The [anytype-library.md](../anytype-library.md "mention") is the central place to manage, search for, and create new types.

### Creating Types from the Library

Click on the search bar and input the name of the type you'd like to create. The dropdown menu will be populated with any matching terms from the Anytype library. You can select any of these, and they'll be installed newly in your types library. If you'd prefer instead to create your own type, simply choose the option `+ Create type "Type name".`

<figure><img src="../../.gitbook/assets/Types Library.png" alt=""><figcaption></figcaption></figure>

If you opt to create your own type, the Type page will open automatically. From here, you can add templates and relations to the type, which will be applied automatically any time you create an object of this type.

<figure><img src="../../.gitbook/assets/Type page.png" alt=""><figcaption></figcaption></figure>

If you've decided that this Type is no relevant, you can use the three-dots menu in the corner to delete the type from your space. Please proceed with caution; any objects of this type will show an alert if the type has been removed from your library.

<figure><img src="../../.gitbook/assets/Delete type.png" alt=""><figcaption></figcaption></figure>

### Creating Types from the Object Editor

In case you think of a new object type just as you're creating an object, you can create a new type on-the-fly. In this case, use the type selection menu in the same way as the search bar in the Types library. The type will be automatically added to your Types library, while you can proceed with editing the object of your new type.

<figure><img src="../../.gitbook/assets/Type Creation on-the-fly.png" alt=""><figcaption></figcaption></figure>

If you decide later on that you want to convert your object to a new object type _after it's created_, again - you can do so by selecting the object type, choosing 'Change type', and entering the name of the type which you would like to create.

<figure><img src="../../.gitbook/assets/Type creation from change-type menu (1).png" alt=""><figcaption></figcaption></figure>

Any type you create from the object editor will be available for editing in the types library using the steps above.
